{
  "name": "frontend",
  "version": "1.0.0",
  "description": "skillbox vue client",
  "author": "ramon / chrigu",
  "private": true,
  "prettier": {
    "singleQuote": true
  },
  "scripts": {
    "dev": "webpack serve --progress --config build/webpack.dev.conf.js",
    "analyze": "webpack --profile --json --config build/webpack.dev.conf.js > dist/stats.json && webpack-bundle-analyzer dist/stats.json",
    "start": ". ../server/.env && npm run dev",
    "lint": "eslint --ext .js,.vue,.ts src",
    "fix-lint": "eslint --ext .js,.vue,.ts --fix src",
    "build": "node build/build.js",
    "open:cypress:e2e": "npm run cypress:e2e:open",
    "open:cypress:frontend": "npm run cypress:frontend:open",
    "test:cypress:e2e": "npm run cypress:e2e:test",
    "test:cypress:frontend": "npm run cypress:frontend:test",
    "cypress:e2e:open": "cypress open --config-file cypress.e2e.ts",
    "cypress:frontend:open": "cypress open --config-file cypress.frontend.ts",
    "cypress:e2e:test": "cypress run --config-file cypress.e2e.ts",
    "cypress:frontend:test": "cypress run --config-file cypress.frontend.ts",
    "install:cypress": "cypress install",
    "test:unit": "jest",
    "cypress:parallel": "CYPRESS_API_URL=\"https://iterativ-cypress-director.herokuapp.com/\" cy2 run --parallel --record --key somekey --config-file cypress.frontend.json --ci-build-id some-id",
    "cypress:parallel:run": "cy2 run --parallel --record  --config-file cypress.frontend.json --ci-build-id "
  },
  "dependencies": {
    "@apollo/client": "^3.5.8",
    "@babel/core": "^7.16.7",
    "@babel/eslint-plugin": "^7.16.5",
    "@babel/plugin-transform-runtime": "^7.5.0",
    "@babel/polyfill": "^7.4.4",
    "@babel/preset-env": "^7.5.4",
    "@babel/preset-stage-2": "^7.0.0",
    "@babel/preset-typescript": "^7.16.7",
    "@babel/runtime": "^7.5.4",
    "@graphql-tools/jest-transform": "^1.2.2",
    "@graphql-tools/mock": "^8.6.5",
    "@graphql-tools/schema": "^8.3.7",
    "@tiptap/core": "^2.0.0-beta.174",
    "@tiptap/extension-bullet-list": "^2.0.0-beta.26",
    "@tiptap/extension-document": "^2.0.0-beta.15",
    "@tiptap/extension-list-item": "^2.0.0-beta.20",
    "@tiptap/extension-paragraph": "^2.0.0-beta.23",
    "@tiptap/extension-text": "^2.0.0-beta.15",
    "@tiptap/vue-2": "^2.0.0-beta.77",
    "@typescript-eslint/eslint-plugin": "^5.10.0",
    "@typescript-eslint/parser": "^5.10.0",
    "@vue/test-utils": "^1.3.0",
    "@vue/vue2-jest": "^27.0.0",
    "autoprefixer": "^10.4.12",
    "babel-core": "^7.0.0-bridge.0",
    "babel-jest": "^27.5.1",
    "babel-loader": "^8.0.6",
    "chalk": "^2.0.1",
    "copy-webpack-plugin": "^10.1.0",
    "css-loader": "^3.6.0",
    "css-minimizer-webpack-plugin": "^3.4.1",
    "cy2": "^1.2.1",
    "cypress": "^10",
    "dayjs": "^1.10.7",
    "eslint": "^7.32.0",
    "eslint-formatter-friendly": "^7.0.0",
    "eslint-plugin-cypress": "^2.12.1",
    "eslint-plugin-vue": "^9.6.0",
    "eslint-webpack-plugin": "^3.2.0",
    "file-loader": "^6.2.0",
    "graphql": "^16.3.0",
    "graphql-config": "^4.3.0",
    "graphql-tag": "^2.10.1",
    "graphql-tools": "^8.2.5",
    "html-webpack-plugin": "^5.5.0",
    "jest": "^27.5.1",
    "jest-serializer-vue": "^2.0.2",
    "jest-transform-graphql": "^2.1.0",
    "jest-transform-stub": "^2.0.0",
    "jest-watch-typeahead": "^2.1.2",
    "lodash": "^4.17.10",
    "loglevel": "^1.8.0",
    "mini-css-extract-plugin": "^2.4.5",
    "mock-apollo-client": "^1.2.0",
    "ora": "^1.2.0",
    "portfinder": "^1.0.13",
    "postcss-import": "^15.0.0",
    "postcss-loader": "^7.0.1",
    "postcss-url": "^10.1.3",
    "rimraf": "^2.6.0",
    "sass": "^1.56.1",
    "sass-loader": "^12.6.0",
    "semver": "^5.3.0",
    "shelljs": "^0.8.5",
    "survey-knockout": "^1.9.41",
    "ts-loader": "^8.3.0",
    "typescript": "^4.5.4",
    "uploadcare-widget": "^3.6.0",
    "url-loader": "^4.1.1",
    "vee-validate": "^3.4.14",
    "vue": "^2.7.13",
    "vue-apollo": "^3.1.0",
    "vue-loader": "^15.10.0",
    "vue-matomo": "^4.1.0",
    "vue-router": "^3.5.3",
    "vue-scrollto": "^2.11.0",
    "vue-style-loader": "^3.0.1",
    "vue-template-compiler": "^2.7.13",
    "vue-vimeo-player": "^0.2.2",
    "vuex": "^3.0.1",
    "webpack": "^5.67.0",
    "webpack-bundle-analyzer": "^4.5.0",
    "webpack-cli": "^4.9.1",
    "webpack-dev-server": "^4.6.0",
    "webpack-merge": "^5.8.0"
  },
  "engines": {
    "node": ">= 14.x",
    "npm": ">= 8.x"
  },
  "browserslist": [
    "> 1%",
    "last 2 versions",
    "not ie <= 8"
  ],
  "resolutions": {
    "vue": "2.6.14"
  },
  "optionalDependencies": {
    "fsevents": "^2.3.2"
  },
  "devDependencies": {
    "eslint-config-prettier": "^8.6.0",
    "prettier": "2.8.2"
  }
}
